最新ionic-cli创建ionic3而非ionic4的项目

在ionic CLI v4.8.0版本创建项目时,会询问是创建ionic3还是ionic4项目,然而更新到 ionic CLI v4.10.2(latest)时,这个询问提示消失了,直接默认创建ionic3项目,而且看参数是没有创建ionic3项目支持的,于是,我上Github发了个issue: How to create ionic3 project by ionic CLI v4.10.2(latest)

结果ionic团队还是挺给力的,马上作出回复,并一天就解决并发布了新版本,详情进上面链接看。

所以我们想创建ionic3项目可以这样做,先升级ionic-cli到最新版本:

npm i -g ionic

此时显示版本为ionic@4.10.3了,然后试着创建项目:

ionic start tabTest --type=ionic-angular

命令完成后就发现是ionic3项目了。

本文参与腾讯云自媒体分享计划,欢迎正在阅读的你也加入,一起分享。

发表于

我来说两句

0 条评论
登录 后参与评论

扫码关注云+社区

领取腾讯云代金券